Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenEditorGenerator

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenEditorGeneratorImpl

    public interface GenEditorGenerator

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Gen Editor Generator'.

The following features are supported:

- `Audits`
- `Metrics`
- `Diagram`
- `Plugin`
- `Editor`
- `Navigator`
- `Diagram Updater`
- `Property Sheet`
- `Application`
- `Domain Gen Model`
- `Package Name Prefix`
- `Model ID`
- `Same File For Diagram And Model`
- `Diagram File Extension`
- `Domain File Extension`
- `Dynamic Templates`
- `Template Directory`
- `Copyright Text`
- `Expression Providers`

See Also:
  `GMFGenPackage.getGenEditorGenerator()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenPackage>` `getAllDomainGenPackages(boolean withUsed)` Returns all genpackages from domain genmodel
`GenApplication` `getApplication()` Returns the value of the 'Application' containment reference.
`GenAuditRoot` `getAudits()` Returns the value of the 'Audits' containment reference.
`java.lang.String` `getCopyrightText()` Returns the value of the 'Copyright Text' attribute
`GenDiagram` `getDiagram()` Returns the value of the 'Diagram' containment reference.
`java.lang.String` `getDiagramFileExtension()` Returns the value of the 'Diagram File Extension' attribute
`GenDiagramUpdater` `getDiagramUpdater()` Returns the value of the 'Diagram Updater' containment reference.
`java.lang.String` `getDomainFileExtension()` Returns the value of the 'Domain File Extension' attribute
`org.eclipse.emf.codegen.ecore.genmodel.GenModel` `getDomainGenModel()` Returns the value of the 'Domain Gen Model' reference
`GenEditorView` `getEditor()` Returns the value of the 'Editor' containment reference.
`GenExpressionProviderContainer` `getExpressionProviders()` Returns the value of the 'Expression Providers' containment reference.
`GenMetricContainer` `getMetrics()` Returns the value of the 'Metrics' containment reference.
`java.lang.String` `getModelID()` Returns the value of the 'Model ID' attribute
`GenNavigator` `getNavigator()` Returns the value of the 'Navigator' containment reference.
`java.lang.String` `getPackageNamePrefix()` Returns the value of the 'Package Name Prefix' attribute
`GenPlugin` `getPlugin()` Returns the value of the 'Plugin' containment reference.
`GenPropertySheet` `getPropertySheet()` Returns the value of the 'Property Sheet' containment reference.
`java.lang.String` `getTemplateDirectory()` Returns the value of the 'Template Directory' attribute
`boolean` `hasAudits()`
`boolean` `isDynamicTemplates()` Returns the value of the 'Dynamic Templates' attribute.
`boolean` `isSameFileForDiagramAndModel()` Returns the value of the 'Same File For Diagram And Model' attribute
`boolean` `requiresParser(LabelTextAccessMethod method)` Returns true if parser for the specified method is used by diagram editor
`void` `setApplication(GenApplication value)` Sets the value of the '`Application`' containment reference
`void` `setAudits(GenAuditRoot value)` Sets the value of the '`Audits`' containment reference
`void` `setCopyrightText(java.lang.String value)` Sets the value of the '`Copyright Text`' attribute
`void` `setDiagram(GenDiagram value)` Sets the value of the '`Diagram`' containment reference
`void` `setDiagramFileExtension(java.lang.String value)` Sets the value of the '`Diagram File Extension`' attribute
`void` `setDiagramUpdater(GenDiagramUpdater value)` Sets the value of the '`Diagram Updater`' containment reference
`void` `setDomainFileExtension(java.lang.String value)` Sets the value of the '`Domain File Extension`' attribute
`void` `setDomainGenModel(org.eclipse.emf.codegen.ecore.genmodel.GenModel value)` Sets the value of the '`Domain Gen Model`' reference
`void` `setDynamicTemplates(boolean value)` Sets the value of the '`Dynamic Templates`' attribute
`void` `setEditor(GenEditorView value)` Sets the value of the '`Editor`' containment reference
`void` `setExpressionProviders(GenExpressionProviderContainer value)` Sets the value of the '`Expression Providers`' containment reference
`void` `setMetrics(GenMetricContainer value)` Sets the value of the '`Metrics`' containment reference
`void` `setModelID(java.lang.String value)` Sets the value of the '`Model ID`' attribute
`void` `setNavigator(GenNavigator value)` Sets the value of the '`Navigator`' containment reference
`void` `setPackageNamePrefix(java.lang.String value)` Sets the value of the '`Package Name Prefix`' attribute
`void` `setPlugin(GenPlugin value)` Sets the value of the '`Plugin`' containment reference
`void` `setPropertySheet(GenPropertySheet value)` Sets the value of the '`Property Sheet`' containment reference
`void` `setSameFileForDiagramAndModel(boolean value)` Sets the value of the '`Same File For Diagram And Model`' attribute
`void` `setTemplateDirectory(java.lang.String value)` Sets the value of the '`Template Directory`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAudits

    GenAuditRoot getAudits()

  Returns the value of the 'Audits' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  Returns:
    the value of the 'Audits' containment reference.
  See Also:
    `setAudits(GenAuditRoot)`, `GMFGenPackage.getGenEditorGenerator_Audits()`, `GenAuditRoot.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setAudits

    void setAudits(GenAuditRoot value)

  Sets the value of the '`Audits`' containment reference.

  Parameters:
    `value` - the new value of the 'Audits' containment reference.
  See Also:
    `getAudits()`
  ** Generated **

### getMetrics

    GenMetricContainer getMetrics()

  Returns the value of the 'Metrics' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Metrics' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Metrics' containment reference.
  See Also:
    `setMetrics(GenMetricContainer)`, `GMFGenPackage.getGenEditorGenerator_Metrics()`, `GenMetricContainer.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setMetrics

    void setMetrics(GenMetricContainer value)

  Sets the value of the '`Metrics`' containment reference.

  Parameters:
    `value` - the new value of the 'Metrics' containment reference.
  See Also:
    `getMetrics()`
  ** Generated **

### getDiagram

    GenDiagram getDiagram()

  Returns the value of the 'Diagram' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Diagram' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram' containment reference.
  See Also:
    `setDiagram(GenDiagram)`, `GMFGenPackage.getGenEditorGenerator_Diagram()`, `GenDiagram.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setDiagram

    void setDiagram(GenDiagram value)

  Sets the value of the '`Diagram`' containment reference.

  Parameters:
    `value` - the new value of the 'Diagram' containment reference.
  See Also:
    `getDiagram()`
  ** Generated **

### getPlugin

    GenPlugin getPlugin()

  Returns the value of the 'Plugin' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Plugin' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Plugin' containment reference.
  See Also:
    `setPlugin(GenPlugin)`, `GMFGenPackage.getGenEditorGenerator_Plugin()`, `GenPlugin.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setPlugin

    void setPlugin(GenPlugin value)

  Sets the value of the '`Plugin`' containment reference.

  Parameters:
    `value` - the new value of the 'Plugin' containment reference.
  See Also:
    `getPlugin()`
  ** Generated **

### getEditor

    GenEditorView getEditor()

  Returns the value of the 'Editor' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Editor' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Editor' containment reference.
  See Also:
    `setEditor(GenEditorView)`, `GMFGenPackage.getGenEditorGenerator_Editor()`, `GenEditorView.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setEditor

    void setEditor(GenEditorView value)

  Sets the value of the '`Editor`' containment reference.

  Parameters:
    `value` - the new value of the 'Editor' containment reference.
  See Also:
    `getEditor()`
  ** Generated **

### getNavigator

    GenNavigator getNavigator()

  Returns the value of the 'Navigator' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Navigator' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigator' containment reference.
  See Also:
    `setNavigator(GenNavigator)`, `GMFGenPackage.getGenEditorGenerator_Navigator()`, `GenNavigator.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setNavigator

    void setNavigator(GenNavigator value)

  Sets the value of the '`Navigator`' containment reference.

  Parameters:
    `value` - the new value of the 'Navigator' containment reference.
  See Also:
    `getNavigator()`
  ** Generated **

### getDiagramUpdater

    GenDiagramUpdater getDiagramUpdater()

  Returns the value of the 'Diagram Updater' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Diagram Updater' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Updater' containment reference.
  See Also:
    `setDiagramUpdater(GenDiagramUpdater)`, `GMFGenPackage.getGenEditorGenerator_DiagramUpdater()`, `GenDiagramUpdater.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true" required="true"

### setDiagramUpdater

    void setDiagramUpdater(GenDiagramUpdater value)

  Sets the value of the '`Diagram Updater`' containment reference.

  Parameters:
    `value` - the new value of the 'Diagram Updater' containment reference.
  See Also:
    `getDiagramUpdater()`
  ** Generated **

### getPropertySheet

    GenPropertySheet getPropertySheet()

  Returns the value of the 'Property Sheet' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Property Sheet' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Property Sheet' containment reference.
  See Also:
    `setPropertySheet(GenPropertySheet)`, `GMFGenPackage.getGenEditorGenerator_PropertySheet()`, `GenPropertySheet.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setPropertySheet

    void setPropertySheet(GenPropertySheet value)

  Sets the value of the '`Property Sheet`' containment reference.

  Parameters:
    `value` - the new value of the 'Property Sheet' containment reference.
  See Also:
    `getPropertySheet()`
  ** Generated **

### getApplication

    GenApplication getApplication()

  Returns the value of the 'Application' containment reference. It is bidirectional and its opposite is '`Editor Gen`'. If application is defined within the model then generator should target RCP

  Returns:
    the value of the 'Application' containment reference.
  See Also:
    `setApplication(GenApplication)`, `GMFGenPackage.getGenEditorGenerator_Application()`, `GenApplication.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setApplication

    void setApplication(GenApplication value)

  Sets the value of the '`Application`' containment reference.

  Parameters:
    `value` - the new value of the 'Application' containment reference.
  See Also:
    `getApplication()`
  ** Generated **

### getDomainGenModel

    org.eclipse.emf.codegen.ecore.genmodel.GenModel getDomainGenModel()

  Returns the value of the 'Domain Gen Model' reference. This is primary EMF genmodel for user's domain model

  Returns:
    the value of the 'Domain Gen Model' reference.
  See Also:
    `setDomainGenModel(GenModel)`, `GMFGenPackage.getGenEditorGenerator_DomainGenModel()`
  ** Generated **
  Model:

### setDomainGenModel

    void setDomainGenModel(org.eclipse.emf.codegen.ecore.genmodel.GenModel value)

  Sets the value of the '`Domain Gen Model`' reference.

  Parameters:
    `value` - the new value of the 'Domain Gen Model' reference.
  See Also:
    `getDomainGenModel()`
  ** Generated **

### getPackageNamePrefix

    java.lang.String getPackageNamePrefix()

  Returns the value of the 'Package Name Prefix' attribute. Derived from genModel.genPackage[0].getBasePackage() by default

  Returns:
    the value of the 'Package Name Prefix' attribute.
  See Also:
    `setPackageNamePrefix(String)`, `GMFGenPackage.getGenEditorGenerator_PackageNamePrefix()`
  ** Generated **
  Model:

### setPackageNamePrefix

    void setPackageNamePrefix(java.lang.String value)

  Sets the value of the '`Package Name Prefix`' attribute.

  Parameters:
    `value` - the new value of the 'Package Name Prefix' attribute.
  See Also:
    `getPackageNamePrefix()`
  ** Generated **

### getModelID

    java.lang.String getModelID()

  Returns the value of the 'Model ID' attribute.

  If the meaning of the 'Model ID' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Model ID' attribute.
  See Also:
    `setModelID(String)`, `GMFGenPackage.getGenEditorGenerator_ModelID()`
  ** Generated **
  Model:
    id="true" required="true"

### setModelID

    void setModelID(java.lang.String value)

  Sets the value of the '`Model ID`' attribute.

  Parameters:
    `value` - the new value of the 'Model ID' attribute.
  See Also:
    `getModelID()`
  ** Generated **

### isSameFileForDiagramAndModel

    boolean isSameFileForDiagramAndModel()

  Returns the value of the 'Same File For Diagram And Model' attribute. Specified whether editor should create separate file for domain elements if diagram file references no domain model

  Returns:
    the value of the 'Same File For Diagram And Model' attribute.
  See Also:
    `setSameFileForDiagramAndModel(boolean)`, `GMFGenPackage.getGenEditorGenerator_SameFileForDiagramAndModel()`
  ** Generated **
  Model:

### setSameFileForDiagramAndModel

    void setSameFileForDiagramAndModel(boolean value)

  Sets the value of the '`Same File For Diagram And Model`' attribute.

  Parameters:
    `value` - the new value of the 'Same File For Diagram And Model' attribute.
  See Also:
    `isSameFileForDiagramAndModel()`
  ** Generated **

### getDiagramFileExtension

    java.lang.String getDiagramFileExtension()

  Returns the value of the 'Diagram File Extension' attribute.

  If the meaning of the 'Diagram File Extension' attribute isn't clear, there really should be more of a description here...

  Distinct even when sameFileForDiagramAndModel is true. On init diagram, we just copy domain model element to new file with that extension. I won't try to set this equal to domainFileExtension

  Returns:
    the value of the 'Diagram File Extension' attribute.
  See Also:
    `setDiagramFileExtension(String)`, `GMFGenPackage.getGenEditorGenerator_DiagramFileExtension()`
  ** Generated **
  Model:

### setDiagramFileExtension

    void setDiagramFileExtension(java.lang.String value)

  Sets the value of the '`Diagram File Extension`' attribute.

  Parameters:
    `value` - the new value of the 'Diagram File Extension' attribute.
  See Also:
    `getDiagramFileExtension()`
  ** Generated **

### getDomainFileExtension

    java.lang.String getDomainFileExtension()

  Returns the value of the 'Domain File Extension' attribute. By default, genModel.genPackage[0].getPrefix().toLowerCase(), as in emf/templates/editor/pluign.xmljet

  Returns:
    the value of the 'Domain File Extension' attribute.
  See Also:
    `setDomainFileExtension(String)`, `GMFGenPackage.getGenEditorGenerator_DomainFileExtension()`
  ** Generated **
  Model:

### setDomainFileExtension

    void setDomainFileExtension(java.lang.String value)

  Sets the value of the '`Domain File Extension`' attribute.

  Parameters:
    `value` - the new value of the 'Domain File Extension' attribute.
  See Also:
    `getDomainFileExtension()`
  ** Generated **

### isDynamicTemplates

    boolean isDynamicTemplates()

  Returns the value of the 'Dynamic Templates' attribute. The default value is `"false"`.

  If the meaning of the 'Dynamic Templates' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dynamic Templates' attribute.
  See Also:
    `setDynamicTemplates(boolean)`, `GMFGenPackage.getGenEditorGenerator_DynamicTemplates()`
  ** Generated **
  Model:
    default="false"

### setDynamicTemplates

    void setDynamicTemplates(boolean value)

  Sets the value of the '`Dynamic Templates`' attribute.

  Parameters:
    `value` - the new value of the 'Dynamic Templates' attribute.
  See Also:
    `isDynamicTemplates()`
  ** Generated **

### getTemplateDirectory

    java.lang.String getTemplateDirectory()

  Returns the value of the 'Template Directory' attribute.

  If the meaning of the 'Template Directory' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Directory' attribute.
  See Also:
    `setTemplateDirectory(String)`, `GMFGenPackage.getGenEditorGenerator_TemplateDirectory()`
  ** Generated **
  Model:

### setTemplateDirectory

    void setTemplateDirectory(java.lang.String value)

  Sets the value of the '`Template Directory`' attribute.

  Parameters:
    `value` - the new value of the 'Template Directory' attribute.
  See Also:
    `getTemplateDirectory()`
  ** Generated **

### getCopyrightText

    java.lang.String getCopyrightText()

  Returns the value of the 'Copyright Text' attribute.

  If the meaning of the 'Copyright Text' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Copyright Text' attribute.
  See Also:
    `setCopyrightText(String)`, `GMFGenPackage.getGenEditorGenerator_CopyrightText()`
  ** Generated **
  Model:

### setCopyrightText

    void setCopyrightText(java.lang.String value)

  Sets the value of the '`Copyright Text`' attribute.

  Parameters:
    `value` - the new value of the 'Copyright Text' attribute.
  See Also:
    `getCopyrightText()`
  ** Generated **

### getExpressionProviders

    GenExpressionProviderContainer getExpressionProviders()

  Returns the value of the 'Expression Providers' containment reference. It is bidirectional and its opposite is '`Editor Gen`'.

  If the meaning of the 'Expression Providers' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Expression Providers' containment reference.
  See Also:
    `setExpressionProviders(GenExpressionProviderContainer)`, `GMFGenPackage.getGenEditorGenerator_ExpressionProviders()`, `GenExpressionProviderContainer.getEditorGen()`
  ** Generated **
  Model:
    opposite="editorGen" containment="true"

### setExpressionProviders

    void setExpressionProviders(GenExpressionProviderContainer value)

  Sets the value of the '`Expression Providers`' containment reference.

  Parameters:
    `value` - the new value of the 'Expression Providers' containment reference.
  See Also:
    `getExpressionProviders()`
  ** Generated **

### getAllDomainGenPackages

    org.eclipse.emf.common.util.EList<org.eclipse.emf.codegen.ecore.genmodel.GenPackage> getAllDomainGenPackages(boolean withUsed)

  Returns all genpackages from domain genmodel

  ** Generated **
  Model:

### requiresParser

    boolean requiresParser(LabelTextAccessMethod method)

  Returns true if parser for the specified method is used by diagram editor

  ** Generated **
  Model:

### hasAudits

    boolean hasAudits()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.